Data Exports
List Data Export Runs
Recent export runs with row counts and errors
GET
/
api
/
v1
/
data-exports
/
{id}
/
runs
List Data Export Runs
curl --request GET \
--url https://api.sequenzy.com/api/v1/data-exports/{id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/data-exports/{id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/data-exports/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"runs": [
{
"id": "run_xyz",
"destinationId": "exp_abc123",
"status": "succeeded",
"isManual": false,
"rowCount": 5120,
"fileCount": 2,
"byteCount": 402113,
"stats": {
"email_events": {
"rows": 5100,
"files": 1,
"bytes": 401002,
"windowFrom": "2026-09-30T11:43:00.000Z",
"windowTo": "2026-09-30T11:58:00.000Z"
},
"custom_events": {
"rows": 20,
"files": 1,
"bytes": 1111,
"windowFrom": "2026-09-30T11:43:00.000Z",
"windowTo": "2026-09-30T11:58:00.000Z"
},
"subscribers": { "rows": 0, "files": 0, "bytes": 0, "skipped": true }
},
"error": null,
"startedAt": "2026-09-30T12:00:00.000Z",
"finishedAt": "2026-09-30T12:00:04.000Z"
}
]
}
{
"success": false,
"code": "not_found",
"error": "Data export destination not found."
}
Lists runs from the last 14 days, newest first. A run that was interrupted (for example by a deploy) is marked
failed and the next run resumes from the same point. Requires data_exports:read.
string
required
Data export ID.
integer
default:"20"
Between 1 and 100.
curl "https://api.sequenzy.com/api/v1/data-exports/exp_abc123/runs?limit=5" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"runs": [
{
"id": "run_xyz",
"destinationId": "exp_abc123",
"status": "succeeded",
"isManual": false,
"rowCount": 5120,
"fileCount": 2,
"byteCount": 402113,
"stats": {
"email_events": {
"rows": 5100,
"files": 1,
"bytes": 401002,
"windowFrom": "2026-09-30T11:43:00.000Z",
"windowTo": "2026-09-30T11:58:00.000Z"
},
"custom_events": {
"rows": 20,
"files": 1,
"bytes": 1111,
"windowFrom": "2026-09-30T11:43:00.000Z",
"windowTo": "2026-09-30T11:58:00.000Z"
},
"subscribers": { "rows": 0, "files": 0, "bytes": 0, "skipped": true }
},
"error": null,
"startedAt": "2026-09-30T12:00:00.000Z",
"finishedAt": "2026-09-30T12:00:04.000Z"
}
]
}
{
"success": false,
"code": "not_found",
"error": "Data export destination not found."
}
⌘I
List Data Export Runs
